# Basic Concepts {#BasicConcepts}

Designing an empennage for an aircraft is a challenging tasks. This topic provides basic information for empennages.

If you are already familiar with the basic concepts, you can move on to the [Getting Started](getting-started.md).


### Available configurations
Here you can find available empennage build methods from the _empennage\_design_ tool inside UNICADO.
- _UNICADO is shipped natively with a conventional method for a tube and wing configuration._
- _A basic Blended Wing body experimental method called vertical\_tails!_

<pre class="mermaid">
  graph LR;
    A[Empennage Design] -->B[Tube and Wing];
    B-->C[Conventional]
    B-->F[T-Tail]
    A-->D[Blended Wing body]
    D-->H[Vertical Tails]
</pre>

<dl class="section bug">
<dt>Important</dt>
<dd>Since the documentation might be delayed to the development progress - this graph might not have all information yet</dd>
</dl>
___

### Empennage Geometry
Understanding the empennage geometry is an essential part. Below are key terms and their meanings:
- Aspect Ratio (AR): The ratio of the span to the average chord length
  - _AR = b&sup2; / S_
  - _b : span_
  - _S : reference area (projected area on ground from top view)_
  - _High AR (e.g. gliders) &rarr; increased aerodynamic efficiency (higher drag) but slender and more flexible._
  - _Low AR (e.g., fighter jets) &rarr; decreased aerodynmic efficiency and stiffer._

- Taper Ratio (&lambda;): The ratio of the tip chord to the root chord.
  - _&lambda;_ = _c_<sub>_tip_</sub> / _c_<sub>_root_</sub>
  - _A taper ratio of one indicates a rectangular aerodynamic surface._
  - _Reduced taper ratio can improve aerodynamic efficiency and reduce structural weight._

- Sweep Angle (&Phi;): The angle between the chord at a given position and a line perpendicular to the chord
  - _Increased sweep leads to higher overall speeds due to reduction of the mach number normal to the leading edge_
  - _Normally close to wing sweep for empennages with a certain delta_

- Dihedral / Anhedral Angle (&nu;): Effects stability
  - _dihedral angle (positive)_
  - _anhedral angle (negative)_

### Airfoil selection
An airfoil defines the cross-sectional shape of an aerodynamic surface. The key characteristics include:
- Camber: Airfoil curvature
  - _High camber  - generates more lift but comes with increased drag_
  - _No camber (symmetrical) often used for empennages_
  - _Chord: Defines the length of the line from leading to trailing edge_
  - _Thickness to Chord Ratio (t/c): maximum airfoil thickness in relation to its chord length_
  - _affects lift, drag and cross section_

### Spar Placements
Spars are the one of the main structural elements inside the empennage to provide strength and rigidity
  - _Has effects on the control surface sizes_
