# Introduction {#mainpage}
The empennage is an essential part of the aircraft. The _empennage\_design_ tool is one of the core design tools in UNICADO and enables the workflow to design an empennage according to specified requirements and design specifications.

## A User's Guide to Empennage Design
The _empennage\_design_ tool will help you design various empennages for classical configurations to blended wing body confiugartions. This user documentation will guide you through all necessary steps to understand the tool as well as the necessary inputs and configurations to create a new empennage from scratch.

The following pages will guide you through the process of generating your first empennage within UNICADO:

- [Basic Concepts](basic-concepts.md)
- [Getting Started](getting-started.md)
- [Design your first empennage](dfe.md)

So let's get started!


## You are a Developer?

If you are familiar with these concepts and want to contribute - head over to the developers guide to get your own method running in UNICADO!

The following pages will help you understand the code structure:

- [Prerequisites](prerequisites.md)
- [Build the code](build-the-code.md)
- [Empennage module structure](wing-module-structure.md)
- [Available methods](available-methods.md)
- [Method template](method-template.md)

We appreciate it!
