def cabin_length_calculation(geometry_description, runtime_output):
    """ Calculates cabin length from given cabin width and slenderness ratio.

        References and calculation method:
            [1] Prof. Dr.-Ing. Juergen Thorbeck TU-Berlin (2006), Script "Flugzeugentwurf I und II" page: XYZ
                cabin_length = cabin_width / cabin_slenderness_ratio    [inch]

    :param dict geometry_description: Dict containing geometry parameter and values of current fuselage design
    :param logging.Logger runtime_output: Logging object used for capturing log messages in the module
    :return dict geometry_description: Dict containing geometry parameter and values of current fuselage design
    """

    # Calculate cabin length according to [1].
    geometry_description['total_cabin_length'] = round(geometry_description['total_cabin_width']
                                                       / geometry_description['cabin_slenderness_ratio'], 2)

    ''' debug print '''
    runtime_output.debug('Debug: The cabin_length_calculation function was successfully executed!')

    return geometry_description
