/**
 * \file dihedralMethods.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief
 * \version 0.1
 * \date 2023-12-06
 *
 * @copyright Copyright (c) 2023
 *
 */
#ifndef DIHEDRAL_METHODS_H_
#define DIHEDRAL_METHODS_H_

#include <iostream>
#include <tuple>

using modes = std::string;

namespace user_defined {
std::tuple<double, double> dihedral(const double user_dihedral);
}

namespace by_wing_position_and_quarter_chord_sweep {
double dihedral(const std::string& wing_position, const double quarter_chord_sweep, const double mach_design);
}  // namespace by_wing_position_and_quarter_chord_sweep
namespace raymer {
std::tuple<double, double> dihedral_limitation(const std::string& wing_position, const double quarter_chord_sweep,
                                               const double mach);
}

namespace howe {
std::tuple<double, double> dihedral_limitation(const std::string& wing_position, const double quarter_chord_sweep);
}

double get_design_dihedral(modes dihedral_mode, const std::string& wing_mounting, const double user_dihedral,
                           const double quarter_chord_sweep, const double mach_design);

#endif  // DIHEDRAL_METHODS_H_
